Subject: bug#57531: 28.1; Character encoding missing for "eo"

From: Gregory Heytings <[email-masked]>
Date: Mon, 05 Sep 2022 13:26:30 +0000

>>> Is that because locale.alias comes from X11, not from glibc?
>>
>> I guess so, yes, given that glibc only knows of one encoding for the 
>> "eo" locale, namely "UTF-8".
>
> There's also /usr/share/locale/locale.alias, but on GNU/Linux system to 
> which I have access it doesn't have any information for the eo or 
> Esperanto locales.
>

That file is obsolete: "This file is obsolete and is kept around for the 
time being for backward compatibility.  Nobody should rely on the names 
defined here."  Neither that file nor the X11 one is used by glibc.

>> I should have tried the suggested patch before.  It has no effect 
>> indeed, at least here.
>
> You mean, the patch I proposed in 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57531#64?
>

I meant both the one that the OP suggested and the one that you suggested.

>
> For that to work, we need to make 'locale-info' pseudo-encoding override 
> what locale.alias file says, I presume.
>

Indeed, given that ATM locale-language-names is only consulted when 
locale.alias says nothing (IIUC).